Bug 356881 - cannot access DVD under kernels >= 2.6.22.9-91.fc7
cannot access DVD under kernels >= 2.6.22.9-91.fc7
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: HardwareEnablement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 12:21 EDT by Dieter Kasper
Modified: 2008-02-15 21:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 21:50:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (233.68 KB, text/plain)
2007-11-07 03:44 EST, Dieter Kasper
no flags Details
dmesg-2.6.21-1.3228-after-reboot-OK (22.67 KB, text/plain)
2007-11-07 03:51 EST, Dieter Kasper
no flags Details
dmesg-2.6.21-1.3228-after-suspend-OK (22.67 KB, text/plain)
2007-11-07 03:52 EST, Dieter Kasper
no flags Details
dmesg-2.6.22.9-after-reboot-OK (22.83 KB, text/plain)
2007-11-07 03:53 EST, Dieter Kasper
no flags Details
dmesg-2.6.22.9-after-suspend-NoGood (22.83 KB, text/plain)
2007-11-07 03:54 EST, Dieter Kasper
no flags Details
dmesg-2.6.23.1-21-after-suspend-NoGood (23.38 KB, text/plain)
2007-11-08 11:18 EST, Dieter Kasper
no flags Details

  None (edit)
Description Dieter Kasper 2007-10-29 12:21:58 EDT
Description of problem:
after an upgrade to  kernel-2.6.22.9-91.fc7
the DVD drive cannot be accessed (boot with 2.6.21-1.3228.fc7 works fine)

Version-Release number of selected component (if applicable):
kernel-2.6.22.9-91.fc7

How reproducible:
- boot with kernel-2.6.22.9-91.fc7
- put a readable DVD in the DVD drive
- dd if=/dev/dvd-sr0 of=/dev/null count=10
  dd: reading `/dev/dvd-sr0': Input/output error
/var/log/messages shows
Oct 29 16:50:51 oder kernel: Buffer I/O error on device sr0, logical block 0
Oct 29 16:50:51 oder kernel: Buffer I/O error on device sr0, logical block 1
Oct 29 16:50:51 oder kernel: Buffer I/O error on device sr0, logical block 2
Oct 29 16:50:51 oder kernel: Buffer I/O error on device sr0, logical block 3
Oct 29 16:50:51 oder kernel: Buffer I/O error on device sr0, logical block 4
Oct 29 16:50:51 oder kernel: Buffer I/O error on device sr0, logical block 5
Oct 29 16:50:51 oder kernel: Buffer I/O error on device sr0, logical block 6
Oct 29 16:50:51 oder kernel: Buffer I/O error on device sr0, logical block 7
Oct 29 16:50:51 oder kernel: Buffer I/O error on device sr0, logical block 0
Oct 29 16:50:51 oder kernel: Buffer I/O error on device sr0, logical block 1
[root@oder ~]# cat /proc/sys/dev/cdrom/info
CD-ROM information, Id: cdrom.c 3.20 2003/12/17

drive name:             sr0
drive speed:            24
drive # of slots:       1
Can close tray:         1
Can open tray:          1
Can lock tray:          1
Can change speed:       1
Can select disk:        0
Can read multisession:  1
Can read MCN:           1
Reports media changed:  1
Can play audio:         1
Can write CD-R:         1
Can write CD-RW:        1
Can read DVD:           1
Can write DVD-R:        1
Can write DVD-RAM:      1
Can read MRW:           1
Can write MRW:          1
Can write RAM:          1

Oct 28 19:34:05 oder kernel: ata5: PATA max UDMA/133 cmd 0x00000000000101f0 ctl
0x00000000000103f6 bmdma 0x0000000000011810 irq 14
Oct 28 19:34:05 oder kernel: ata6: PATA max UDMA/133 cmd 0x0000000000010170 ctl
0x0000000000010376 bmdma 0x0000000000011818 irq 15
Oct 28 19:34:05 oder kernel: ata5.00: ATAPI: MATSHITADVD-RAM UJ-841S, 1.31, max
UDMA/33
Oct 28 19:34:05 oder kernel: ata5.00: configured for UDMA/33
Oct 28 19:34:05 oder kernel: scsi 4:0:0:0: CD-ROM            MATSHITA DVD-RAM
UJ-841S  1.31 PQ: 0 ANSI: 5


After rebooting with the kernel-2.6.21-1.3228.fc7
every thing works without errors as expected


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
which additional diagnostic data do you need ?
Comment 1 Chuck Ebbert 2007-10-29 15:45:45 EDT
> which additional diagnostic data do you need ?

Full dmesg (file /var/log/dmesg) from working and broken kernels.
Comment 2 Dieter Kasper 2007-11-07 03:44:12 EST
Created attachment 249871 [details]
/var/log/messages
Comment 3 Dieter Kasper 2007-11-07 03:50:30 EST
(In reply to comment #1)
> > which additional diagnostic data do you need ?
> 
> Full dmesg (file /var/log/dmesg) from working and broken kernels.
> 
While recreating this problem an important detail show up:
This problem only occurs with 2.6.22.9 only after a hibernate/resume sequence,
which is the default on my laptop system. The access after a boot is OK.

files:
dmesg-2.6.21-1.3228-after-reboot-OK
dmesg-2.6.21-1.3228-after-suspend-OK
dmesg-2.6.22.9-after-reboot-OK
dmesg-2.6.22.9-after-suspend-NoGood
messages

[root@oder ~]# egrep 'Linux version|sr0|Suspending ' messages

boot with ...
Nov  7 07:30:49 oder kernel: Linux version 2.6.22.9-91.fc7 
dd if=/dev/dvd-sr0 of=/dev/null count=10                OK

sync; sync; pm-hibernate -v ...
Nov  7 07:36:03 oder kernel: Suspending console(s)
dd if=/dev/dvd-sr0 of=/dev/null count=10                ERROR
Nov  7 07:37:23 oder kernel: Buffer I/O error on device sr0, logical block 0 
boot with ...
Nov  7 07:41:01 oder kernel: Linux version 2.6.21-1.3228.fc7
dd if=/dev/dvd-sr0 of=/dev/null count=10                OK

sync; sync; pm-hibernate -v ...
Nov  7 07:47:47 oder kernel: Suspending console(s)
dd if=/dev/dvd-sr0 of=/dev/null count=10                OK

Comment 4 Dieter Kasper 2007-11-07 03:51:49 EST
Created attachment 249891 [details]
dmesg-2.6.21-1.3228-after-reboot-OK
Comment 5 Dieter Kasper 2007-11-07 03:52:48 EST
Created attachment 249901 [details]
dmesg-2.6.21-1.3228-after-suspend-OK
Comment 6 Dieter Kasper 2007-11-07 03:53:40 EST
Created attachment 249911 [details]
dmesg-2.6.22.9-after-reboot-OK
Comment 7 Dieter Kasper 2007-11-07 03:54:25 EST
Created attachment 249921 [details]
dmesg-2.6.22.9-after-suspend-NoGood
Comment 8 Dieter Kasper 2007-11-08 11:18:06 EST
Created attachment 251741 [details]
dmesg-2.6.23.1-21-after-suspend-NoGood

The problem could also be reproduced with the latest kernel 2.6.23.1-21
After a hibernate/resume sequence the DVD was no longer accessable
Comment 9 Chuck Ebbert 2007-11-08 13:07:16 EST
http://lkml.org/lkml/2007/11/7/134
Comment 10 Dieter Kasper 2007-11-08 15:02:22 EST
(In reply to comment #9)
> http://lkml.org/lkml/2007/11/7/134

I found a workaround (but still like to get a fix):

# cat /proc/scsi/scsi
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: ATA      Model: WDC WD1200BEVS-0 Rev: 01.0
  Type:   Direct-Access                    ANSI  SCSI revision: 05
Host: scsi4 Channel: 00 Id: 00 Lun: 00
  Vendor: MATSHITA Model: DVD-RAM UJ-841S  Rev: 1.31
  Type:   CD-ROM                           ANSI  SCSI revision: 05

# echo "scsi remove-single-device 4 0 0 0" >/proc/scsi/scsi
# echo "scsi add-single-device    4 0 0 0" >/proc/scsi/scsi

Comment 11 Chuck Ebbert 2007-11-08 15:34:10 EST
Are there any messages in /var/log/messages from the time of the resume?
Comment 12 Dieter Kasper 2007-11-08 15:49:09 EST
(In reply to comment #11)
> Are there any messages in /var/log/messages from the time of the resume?
> 
In comment #2 you can find the /var/log/messages file as an attachment

Comment #3 describes the test cases with the related events, 
timestamps and messages in /var/log/messages
Comment 13 Dieter Kasper 2007-11-08 15:54:57 EST
(In reply to comment #11)
> Are there any messages in /var/log/messages from the time of the resume?
> 
In comment #2 you can find the /var/log/messages file as an attachment

Comment #3 describes the test cases with the related events, 
timestamps and messages in /var/log/messages
Comment 14 Christopher Brown 2008-01-15 22:03:48 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 15 Dieter Kasper 2008-01-17 03:39:03 EST
Hi,
in the meantime I'm running 2.6.23.8-63.fc8
and I can give you additional information:
- The bug/problem is still reproducible
  with BIOS setting 'SATA = enhanced, AHCI disabled'
  which was the valid setting so far
- with 'SATA = compatible' the problem disappeared
  maybe also for the older kernels (I didn't check)

I got this hint about the BIOS due to another problem
  https://bugzilla.redhat.com/show_bug.cgi?id=386451

So it's up to you to decide
- close ... because the BIOS has to be set to 'SATA = compatible'
- open  ... because hibernate/resume has to work with 'SATA = enhanced' as well
Comment 16 Christopher Brown 2008-01-17 09:35:59 EST
This needs to be left open. Can you test with enhanced SATA and reviewing:

http://fedoraproject.org/wiki/KernelCommonProblems

particularly trying the following options by adding them to the boot parameters:

noapic
nolapic
acpi=off
nohz=off

MSI is disabled in Fedora 7 kernels so we can discount that. If none of the
above (or any other suggestions on the wiki page) help then I'll assign this
over to the SATA maintainer for further comment.
Comment 17 Christopher Brown 2008-02-15 21:50:40 EST
Closing as per previous comment. Please re-open if this is still an issue for you.

Note You need to log in before you can comment on or make changes to this bug.